/**
 * This class represents a rectangle.
 * It has width and height.
 * @see Rectangles
 * @version 1.0
 * @author Rémi Heredero
 */
public class Rectangle {
    private int width; // Width of rectangle.
    private int height; // Height of rectangle.

    /**
     * Constructor. Initializes width and height.
     * @param width Width of rectangle.
     * @param height Height of rectangle.
     */
    public Rectangle(int width, int height) {
        this.width = width;
        this.height = height;
        System.out.println("New rectangle: " + width + "x" + height);
    }

    /**
     * Constructor. Initializes width and height to 0.
     */
    public Rectangle(){
        this(0, 0);
    }

    /**
     * Get width of rectangle.
     * @return width of rectangle
     */
    public int getWidth() {
        return width;
    }

    /**
     * Set width of rectangle.
     * @param width width of rectangle
     */
    public void setWidth(int width) {
        this.width = width;
    }

    /**
     * Get height of rectangle.
     * @return height of rectangle
     */
    public int getHeight() {
        return height;
    }

    /**
     * Set height of rectangle.
     * @param height height of rectangle
     */
    public void setHeight(int height) {
        this.height = height;
    }

    public String toString() {
        return width + "x" + height;
    }
}
